#ifndef _INFO_DELEGATOR_H
#define _INFO_DELEGATOR_H

#define INF_ERR_MSG 0x0100
#define INF_INFO_MSG 0x0101

class cInformationDelegator
{
private:
        DllClass *m_inst;
public:
      cInformationDelegator(void);
      ~cInformationDelegator(void);
      cInformationDelegator(DllClass* dl_inst );
      void SendMessage(int msgtype,char* info);      
}
#endif